# Interface HttpClient

### Hierarchy

- HttpClient

### Implemented by

- RequestClient
- Sas9RequestClient
- SasjsRequestClient

### Methods

- clearCsrfTokens
- clearLocalStorageTokens
- delete
- get
- getBaseUrl
- getCsrfToken
- post
- put
- saveLocalStorageToken

## Methods

### clearCsrfTokens

- clearCsrfTokens(): void

- - Defined in src/request/RequestClient.ts:52

  #### Returns void

### clearLocalStorageTokens

- clearLocalStorageTokens(): void

- - Defined in src/request/RequestClient.ts:53

  #### Returns void

### delete

- delete<T>(url: string, accessToken: string | undefined): Promise<object>

- - Defined in src/request/RequestClient.ts:45

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: string

  - ##### accessToken: string | undefined

  #### Returns Promise<object>

### get

- get<T>(url: string, accessToken: string | undefined, contentType: string, overrideHeaders: object): Promise<object>

- - Defined in src/request/RequestClient.ts:23

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: string

  - ##### accessToken: string | undefined

  - ##### contentType: string

  - ##### overrideHeaders: object

    - ##### [key: string]: string | number

  #### Returns Promise<object>

### getBaseUrl

- getBaseUrl(): string

- - Defined in src/request/RequestClient.ts:54

  #### Returns string

### getCsrfToken

- getCsrfToken(type: "general" | "file"): CsrfToken | undefined

- - Defined in src/request/RequestClient.ts:50

  #### Parameters

  - ##### type: "general" | "file"

  #### Returns CsrfToken | undefined

### post

- post<T>(url: string, data: any, accessToken: string | undefined, contentType: string, overrideHeaders: object): Promise<object>

- - Defined in src/request/RequestClient.ts:30

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: string

  - ##### data: any

  - ##### accessToken: string | undefined

  - ##### contentType: string

  - ##### overrideHeaders: object

    - ##### [key: string]: string | number

  #### Returns Promise<object>

### put

- put<T>(url: string, data: any, accessToken: string | undefined, overrideHeaders: object): Promise<object>

- - Defined in src/request/RequestClient.ts:38

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: string

  - ##### data: any

  - ##### accessToken: string | undefined

  - ##### overrideHeaders: object

    - ##### [key: string]: string | number

  #### Returns Promise<object>

### saveLocalStorageToken

- saveLocalStorageToken(accessToken: string, refreshToken: string): void

- - Defined in src/request/RequestClient.ts:51

  #### Parameters

  - ##### accessToken: string

  - ##### refreshToken: string

  #### Returns void

Generated using TypeDoc